dag_get_stream_buffer_size(3)

NAME
dag_get_stream_buffer_size - retrieve the size of the memory buffer associated with a stream

SYNOPSIS
#include "dagapi.h "

int
dag_get_stream_buffer_size(int dagfd, int stream_num);

DESCRIPTION
dag_get_stream_buffer_size is used to obtain the size of the memory buffer associated with the stream referred to by stream_num.

RETURN VALUE
On success dag_get_stream_buffer_size returns the size of the stream's buffer in bytes (a positive integer), otherwise it returns -1 with errno set appropriately.

ERRORS

EBADF
    dagfd is an invalid file descriptor.

NOTES
A stream must be attached in order to determine the size of its memory buffer.

EXAMPLE
FIXME Sample code.

SEE ALSO
dag_advance_stream(3), dag_attach_stream(3), dag_detach_stream(3), dag_get_stream_buffer_level(3), dag_get_stream_poll(3), dag_rx_get_stream_count(3), dag_rx_stream_next_inline(3), dag_rx_stream_next_record(3), dag_set_stream_poll(3), dag_start_stream(3), dag_stop_stream(3).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: koryn $
$Revision: 2474 $
$Date: 2005-11-10 11:13:19 +1300 (Thu, 10 Nov 2005) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.